<?php 
function empreendimentos(){
    include "conexao.php";
    $query_amigo = "SELECT * FROM empreendimento";
    $executa_query = mysqli_query($db, $query_amigo);

    $total = mysqli_num_rows($executa_query);

    return $total;
}
function clientes(){
    include "conexao.php";
    $query_amigo = "SELECT * FROM cliente order by idcliente desc limit 50";
    $executa_query = mysqli_query($db, $query_amigo);

    $total = mysqli_num_rows($executa_query);

    return $total;
}
function venda(){
    include "conexao.php";
    $query_amigo = "SELECT * FROM venda";
    $executa_query = mysqli_query($db, $query_amigo);

    $total = mysqli_num_rows($executa_query);

    return $total;
}
function parcelas(){
    include "conexao.php";
    $query_amigo = "SELECT * FROM parcelas order by idparcelas desc limit 100";
    $executa_query = mysqli_query($db, $query_amigo);

    $total = mysqli_num_rows($executa_query);

    return $total;
}
function crm_cli(){
    include "conexao.php";
    $query_amigo = "SELECT * FROM crm_cli";
    $executa_query = mysqli_query($db, $query_amigo);

    $total = mysqli_num_rows($executa_query);

    return $total;
}
function documentos(){
    include "conexao.php";
    $query_amigo = "SELECT * FROM documentos";
    $executa_query = mysqli_query($db, $query_amigo);

    $total = mysqli_num_rows($executa_query);

    return $total;
}
function ocorrencia(){
    include "conexao.php";
    $query_amigo = "SELECT * FROM ocorrencia";
    $executa_query = mysqli_query($db, $query_amigo);

    $total = mysqli_num_rows($executa_query);

    return $total;
}
function modelo_contrato(){
    include "conexao.php";
    $query_amigo = "SELECT * FROM modelo_contrato";
    $executa_query = mysqli_query($db, $query_amigo);

    $total = mysqli_num_rows($executa_query);

    return $total;
}
function contacorrente(){
    include "conexao.php";
    $query_amigo = "SELECT * FROM contacorrente";
    $executa_query = mysqli_query($db, $query_amigo);

    $total = mysqli_num_rows($executa_query);

    return $total;
}

function produto(){
    include "conexao.php";
    $query_amigo = "SELECT * FROM produto";
    $executa_query = mysqli_query($db, $query_amigo);

    $total = mysqli_num_rows($executa_query);

    return $total;
}
function lote(){
    include "conexao.php";
    $query_amigo = "SELECT * FROM lote";
    $executa_query = mysqli_query($db, $query_amigo);

    $total = mysqli_num_rows($executa_query);

    return $total;
}
function igpm(){
    include "conexao.php";
    $query_amigo = "SELECT * FROM igpm";
    $executa_query = mysqli_query($db, $query_amigo);

    $total = mysqli_num_rows($executa_query);

    return $total;
}



$empreendimentos = empreendimentos();
$clientes 		 = clientes();
$venda 			 = venda();
$parcelas 		 = parcelas();
$crm_cli 		 = crm_cli();
$ocorrencia 	 = ocorrencia();
$documentos 	 = documentos();
$modelo_contrato = modelo_contrato();
$contacorrente   = contacorrente();
$produto         = produto();
$lote            = lote();
$igpm            = igpm();


$nota = 0;
if($empreendimentos > 0){
	$nota = $nota + 1;
}
	//echo "Empreendimento: ".$nota."<br> "; 

if($clientes > 10){
	$nota = $nota + 1;
	//echo "Clientes:".$nota."<br>"; // Cliente
}

if($venda > 5){
	$nota = $nota + 1;
	//echo "Venda:".$nota."<br>"; // Venda
}

if($parcelas > 90){
	$nota = $nota + 2;
	//echo "Parcelas:".$nota."<br>"; // Parcelas 
}

if($crm_cli > 10){
	$nota = $nota + 0.5;
	//echo "CRM:".$nota."<br>";
}

if($ocorrencia > 5){
	$nota = $nota + 0.25;
	//echo "Ocorrencia:".$nota."<br>";
}

if($documentos > 5){
	$nota = $nota + 0.5;
	//echo "Documentos:".$nota."<br>";
}

if($modelo_contrato > 0){
	$nota = $nota + 1;
	//echo "ModeloContrato:".$nota."<br>";
}

if($contacorrente > 0){
	$nota = $nota + 0.5;
	//echo "Conta Corrente:".$nota."<br>";
}

if($produto > 5){
	$nota = $nota + 1;
	//echo "Produto:".$nota."<br>";
}

if($lote > 5){
	$nota = $nota + 1;
	//echo "Lote:".$nota."<br>";
}

if($igpm > 0){
	$nota = $nota + 0.25;
	//echo "IGPM".$nota."<br>";
}


$dados["empreendimentos"] = $empreendimentos;
$dados["clientes"] 		  = $clientes;
$dados["venda"] 		  = $venda;
$dados["parcelas"] 		  = $parcelas;
$dados["crm_cli"] 		  = $crm_cli;
$dados["ocorrencia"] 	  = $ocorrencia;
$dados["documentos"] 	  = $documentos;
$dados["modelo_contrato"] = $modelo_contrato;
$dados["contacorrente"]   = $contacorrente;
$dados["produto"] 		  = $produto;
$dados["lote"] 			  = $lote;
$dados["igpm"] 			  = $igpm;

$dados["nota"] 			  = $nota;


$dados_gerar = json_encode($dados);

echo ($dados_gerar);


?>